aboutsummaryrefslogtreecommitdiffhomepage
path: root/bindings/ruby
diff options
context:
space:
mode:
authorGravatar Ali Polatel <polatel@gmail.com>2011-07-29 09:43:51 +0300
committerGravatar Ali Polatel <polatel@gmail.com>2011-07-29 09:44:44 +0300
commite213439cdcd0b883b3974a241caf1c91b74395f1 (patch)
tree61c662333877aec7cf793ded0fb96e760d366bc0 /bindings/ruby
parent6ef8e018f8ebafb90978a7f4a726b27c46022dc4 (diff)
ruby: Remove the split file hack from rdoc.sh
Diffstat (limited to 'bindings/ruby')
-rwxr-xr-xbindings/ruby/rdoc.sh21
1 files changed, 14 insertions, 7 deletions
diff --git a/bindings/ruby/rdoc.sh b/bindings/ruby/rdoc.sh
index 0e86818a..1e867ff9 100755
--- a/bindings/ruby/rdoc.sh
+++ b/bindings/ruby/rdoc.sh
@@ -1,10 +1,17 @@
#!/bin/sh
-# vim: set sw=4 et sts=4 tw=80 :
-# RDoc fails to document C extension split into many files.
-# This is a hack to generate documentation properly.
+if test -z "$RDOC"; then
+ RDOC=rdoc
+ if which rdoc19 >/dev/null 2>&1; then
+ RDOC=rdoc19
+ fi
+fi
-rm -fr ruby
-cat *.c > rdoc-sucks.c
-rdoc --main 'Notmuch' --title 'Notmuch Ruby API' --op ruby rdoc-sucks.c
-rm -f rdoc-sucks.c
+set -e
+set -x
+
+$RDOC --main 'Notmuch' --title 'Notmuch Ruby API' --op ruby *.c
+
+if test "$1" = "--upload"; then
+ rsync -avze ssh --delete --partial --progress ruby bach.exherbo.org:public_html/notmuch/
+fi